package com.flossom.common.core.domain.entity;

import com.flossom.common.core.annotation.Excel;
import com.flossom.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 其他配置对象 wx_other_setting
 *
 * @author flossom
 * @date 2023-12-13
 */
public class WxOtherSetting extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 商城跳转appid
     */
    @Excel(name = "商城跳转appid")
    private String skipAppid;

    /**
     * 商城路径
     */
    @Excel(name = "商城路径")
    private String skipPath;

    /**
     * 系统版本
     */
    @Excel(name = "系统版本")
    private String sysVersion;

    /**
     * 状态（0正常 1停用）
     */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private Integer status;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setSkipAppid(String skipAppid) {
        this.skipAppid = skipAppid;
    }

    public String getSkipAppid() {
        return skipAppid;
    }

    public void setSkipPath(String skipPath) {
        this.skipPath = skipPath;
    }

    public String getSkipPath() {
        return skipPath;
    }

    public void setSysVersion(String sysVersion) {
        this.sysVersion = sysVersion;
    }

    public String getSysVersion() {
        return sysVersion;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("skipAppid", getSkipAppid())
                .append("skipPath", getSkipPath())
                .append("sysVersion", getSysVersion())
                .append("status", getStatus())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
